;IR RC5  
;  
;lva()kft3,tgc5,ru
;RC5 IR Code.asm
;********************************************************************
;*
;*	   RC5
;*	0 -  1
;*	1 -  2
;*	2 - 
;*	3 - 
;*	4 -  (VLP)
;*	5 -   1
;*	6 -   2
;*	8 -    1
;*	9 - 
;*	10 -    2
;*	12 -  -CD
;*	13 - 
;*	16 -   1
;*	17 - 
;*	18 - 
;*	19 -   2
;*	20 -  - (CD)
;*	21 -  (LP)
;*	23 -  
;*	29 -  1
;*	30 -  2
;*	31 - 
;*
;*	  RC5
;*	0 -  0 ( 0 TV)
;*	1 -  1 ( 1 TV)
;*	2 -  2 ( 2 TV)
;*	3 -  3 ( 3 TV)
;*	4 -  4 ( 4 TV)
;*	5 -  5 ( 5 TV)
;*	6 -  6 ( 6 TV)
;*	7 -  7 ( 7 TV)
;*	8 -  8 ( 8 TV)
;*	9 -  9 ( 9 TV)
;*	10 - -/--
;*	11 -  
;*	12 - .
;*	13 -  (mute)
;*	14 - Normal,  . . 
;*	15 - , 
;*	16 -  +
;*	17 -  -
;*	18 -  +
;*	19 -  -
;*	20 -  +
;*	21 -  -
;*	24 -  +
;*	25 -  -
;*	28 -  + 
;*	29 -  -
;*	30 -  
;*	31 -  
;*	32 -  +
;*	33 -  -
;*	38 - .
;*	45 -  
;*	48 - 
;*	50 -  
;*	51 -  
;*	53 - 
;*	54 - 
;*	55 - 
;*	56 - . AV- ()
;*	59 - SL ()
;*	63 - . TV-
;*
;********************************************************************
;-----   prt-----
.org flashend-119-64/2-8
Point_code:
.DB 0,255,255,255,255,255,255,255
.DB 255,255,255,255,255,255,255,255
.DB 255,255,35,29,23,17,11,5
.DB 255,255,32,26,20,14,8,2
.DB 255,255,34,28,22,16,10,4
.DB 255,255,31,25,19,13,7,1
.DB 255,255,33,27,21,15,9,3
.DB 255,255,30,24,18,12,6,0
;***** RC5  ;****************************************
;*
;*       
;*   -  ,   - 
;*
;********************************************************************
;.equ	FAULT	= 0xFF		;  ,   
.equ	SEL		= 0xAA		;   
.equ	TV		= 0			;   TV
.equ	VCR		= 5			;   VCR
.equ	CD		= 20		;   CD
;---------------------------------------------------
.org flashend-119		;40+40+39
VCR_video:
;*	 3
.dw VCR | (12 << 8)		;00: .
.dw FAULT  | (0 << 8)	;01: nc
.dw VCR | (45 << 8)		;02: 
.dw VCR | (1 << 8)		;03: 1
.dw VCR | (2 << 8)		;04: 2
.dw VCR | (3 << 8)		;05: 3
.dw VCR | (4 << 8)		;06: 4
.dw VCR | (5 << 8)		;07: 5
.dw VCR | (6 << 8)		;08: 6
.dw VCR | (7 << 8)		;09: 7
.dw VCR | (8 << 8)		;10: 8
.dw VCR | (9 << 8)		;11: 9
.dw VCR | (0 << 8)		;12: 0
.dw FAULT  | (0 << 8)	;13: nc
.dw VCR | (10 << 8)		;14: -/--
.dw FAULT  | (0 << 8)	;15: nc
.dw VCR | (32 << 8)		;16: Channel +
.dw FAULT  | (0 << 8)	;17: nc
.dw VCR | (17 << 8)		;18: Volume -
.dw VCR | (53 << 8)		;19: Play
.dw VCR | (16 << 8)		;20: Volume + 
.dw FAULT  | (0 << 8)	;21: nc
.dw VCR | (33 << 8)		;22: Channel -
.dw FAULT  | (0 << 8)	;23: nc
.dw VCR | (51 << 8)		;24:  
.dw FAULT  | (0 << 8)	;25: nc
.dw VCR | (50 << 8)		;26:  
.dw VCR | (48 << 8)		;27: 
.dw VCR | (54 << 8)		;28: 
.dw VCR | (55 << 8)		;29: 
.dw VCR | (15 << 8)		;30:  ( )
.dw FAULT  | (0 << 8)	;31: nc
.dw VCR | (63 << 8)		;32: TV
.dw SEL | (0 << 8)		;33: (  )
.dw FAULT  | (0 << 8)	;34: nc
.dw FAULT  | (0 << 8)	;35: nc
;---------------------------------------------------
.org flashend-79		;40+39
TV_video:
;*	 2
.dw TV | (12 << 8)		;00: .
.dw FAULT  | (0 << 8)	;01: nc
.dw TV | (13 << 8)		;02: mute
.dw TV | (1 << 8)		;03: 1
.dw TV | (2 << 8)		;04: 2
.dw TV | (3 << 8)		;05: 3
.dw TV | (4 << 8)		;06: 4
.dw TV | (5 << 8)		;07: 5
.dw TV | (6 << 8)		;08: 6
.dw TV | (7 << 8)		;09: 7
.dw TV | (8 << 8)		;10: 8
.dw TV | (9 << 8)		;11: 9
.dw TV | (0 << 8)		;12: 0
.dw FAULT  | (0 << 8)	;13: nc
.dw TV | (10 << 8)		;14: -/--
.dw FAULT  | (0 << 8)	;15: nc
.dw TV | (32 << 8)		;16: Channel +
.dw FAULT  | (0 << 8)	;17: nc
.dw TV | (17 << 8)		;18: Volume -
.dw TV | (59 << 8)		;19:  
.dw TV | (16 << 8)		;20: Volume + 
.dw FAULT  | (0 << 8)	;21: nc
.dw TV | (33 << 8)		;22: Channel -
.dw FAULT  | (0 << 8)	;23: nc
.dw TV | (19 << 8)		;24:  -
.dw FAULT  | (0 << 8)	;25: nc
.dw TV | (18 << 8)		;26:  +
.dw TV | (29 << 8)		;27:  -
.dw TV | (14 << 8)		;28: normal  .  
.dw TV | (28 << 8)		;29:  +
.dw TV | (53 << 8)		;30: Play
.dw FAULT  | (0 << 8)	;31: nc
.dw TV | (56 << 8)		;32: AV-
.dw SEL | (0 << 8)		;33: (  )
.dw FAULT  | (0 << 8)	;34: nc
.dw FAULT  | (0 << 8)	;35: nc
;---------------------------------------------------
.org flashend-39
CD_player:
;*	 1
.dw CD | (12 << 8)		;00: .
.dw FAULT  | (0 << 8)	;01: nc
.dw CD | (45 << 8)		;02: 
.dw CD | (1 << 8)		;03: 1
.dw CD | (2 << 8)		;04: 2
.dw CD | (3 << 8)		;05: 3
.dw CD | (4 << 8)		;06: 4
.dw CD | (5 << 8)		;07: 5
.dw CD | (6 << 8)		;08: 6
.dw CD | (7 << 8)		;09: 7
.dw CD | (8 << 8)		;10: 8
.dw CD | (9 << 8)		;11: 9
.dw CD | (0 << 8)		;12: 0
.dw FAULT  | (0 << 8)	;13: nc
.dw CD | (10 << 8)		;14: -/--
.dw FAULT  | (0 << 8)	;15: nc
.dw CD | (32 << 8)		;16: Channel +
.dw FAULT  | (0 << 8)	;17: nc
.dw CD | (17 << 8)		;18: Volume -
.dw CD | (53 << 8)		;19: Play
.dw CD | (16 << 8)		;20: Volume + 
.dw FAULT  | (0 << 8)	;21: nc
.dw CD | (33 << 8)		;22: Channel -
.dw FAULT  | (0 << 8)	;23: nc
.dw CD | (51 << 8)		;24:  
.dw FAULT  | (0 << 8)	;25: nc
.dw CD | (50 << 8)		;26:  
.dw CD | (48 << 8)		;27: 
.dw CD | (54 << 8)		;28: 
.dw CD | (53 << 8)		;29: Play
.dw CD | (15 << 8)		;30:  ( )
.dw FAULT  | (0 << 8)	;31: nc
.dw CD | (11 << 8)		;32: ind-/-- ( )
.dw SEL | (0 << 8)		;33: (  )
.dw FAULT  | (0 << 8)	;34: nc
.dw FAULT  | (0 << 8)	;35: nc